CREATE TABLE cmk_collab_docs_b] (
    DOCUMENT_ID                  NUMBER(18, 0)     NOT NULL,
    DOCUMENT_NAME                VARCHAR2(1024)    NOT NULL,
    DOCUMENT_TYPE                VARCHAR2(1024)    NOT NULL,
    COLLABORATION_OBJECT         VARCHAR2(1024)    NOT NULL,
    DIRECTION                    VARCHAR2(400)     NOT NULL,
    SENDER_ROLE                  VARCHAR2(400)     NOT NULL,
    BUSINESS_PROCESS_ID          NUMBER(18, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    MODULE_ID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    KEY_CONTEXT                  VARCHAR2(400) ,
    ATTACHMENTS_FLAG             VARCHAR2(40)  ,
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    ENABLED_FLAG                 VARCHAR2(4)       NOT NULL,
    CONTENT_ROUTING_FLAG         VARCHAR2(4)   ,
    PARTNER_FROM_PAYLOAD_FLAG    VARCHAR2(4)   ,
    SENDER_FROM_PAYLOAD_FLAG     VARCHAR2(4)   ,
    DOCUMENT_OPTIONS_FLAG        VARCHAR2(4)   
);
